Skip to main content
`Ctrl`+`K`

# TSTrajectorySetSolutionOnly

Tells the trajectory to store just the solution, and not any intermediate stage information

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetSolutionOnly(TSTrajectory tj, PetscBool solution_only)

Collective

## Input Parameters

- tj - the `TSTrajectory` context obtained with `TSGetTrajectory()`

- solution_only - the boolean flag

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSSetSaveTrajectory()`, `TSTrajectoryCreate()`, `TSTrajectoryDestroy()`, `TSTrajectoryGetSolutionOnly()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages